#!/usr/bin/env python

import sys
from exp_run import *

def main(args):
    update = True
    if args and args[0] == "--no-update":
        update = False
        args.pop(0)

    exprun = ExpRun([FreeBSD11.i386, FreeBSD12.i386, FreeBSD13.i386])
    try:
        exprun.env["WINE_CROSS_BUILD"] = "YES"
        if update:
            exprun.update_jails()
            exprun.update_ports()
        print(exprun.exprun("wine", ["emulators/i386-wine", "emulators/i386-wine-devel", "emulators/i386-wine-staging"], True, True))
    finally:
        exprun.close()

if __name__ == "__main__":
    main(sys.argv)
